package com.sikey.wa04.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 电子围栏类型
 *
 * @author luoyangwei
 * @date 2024年11月01日10:23:44
 */
@Getter
@AllArgsConstructor
public enum FenceType {
    SAFETY(1),
    DANGER(2);

    private final Integer value;

    /**
     * 根据值获取枚举
     *
     * @param value 围栏值
     * @return 枚举
     */
    private FenceType valueOf(Integer value) {
        for (FenceType fenceType : FenceType.values()) {
            if (fenceType.value.equals(value)) {
                return fenceType;
            }
        }
        throw new RuntimeException("未知的围栏类型");
    }
}
